## clutter 0.8.2-0maemo49%2b0m5

=== debian/changelog ===
clutter (0.8.2-0maemo49+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kojo Aapo <aapo.kojo@nokia.com>  Tue, 08 Sep 2009 18:31:22 +0300

clutter (0.8.2-0maemo49) unstable; urgency=low

  Gordon:
  * clutter/clutter-main.c
    clutter/clutter-main.h
    clutter/clutter-private.h: Add extra function called 
    clutter_grab_pointer_without_pick. This allows input events to be received
    but ensures that clutter does not do picking in order to find which actor
    is under the cursor. Also removed un-needed glFinish for picking (syncing 
    should be done in GLES) and increased clutter motion events frequency.

 -- Gordon Williams <gordon.williams@collabora.co.uk>  Tue,  7 Sep 2009 14:34:14 +0100

clutter (0.8.2-0maemo48) unstable; urgency=low

  Adam:
  * Revert changes for clutter/x11/clutter-event-x11.c done in previous
    version.

 -- Gordon Williams <gordon.williams@collabora.co.uk>  Tue, 01 Sep 2009 12:42:25 +0300

clutter (0.8.2-0maemo47) unstable; urgency=low

  Kimmo:
  * clutter/x11/clutter-x11-texture-pixmap.c
    (clutter_x11_texture_pixmap_set_redirection): Allow setting the
    redirection irrespective of Clutter's idea of it.

  Adam:
  * clutter/x11/clutter-event-x11.c:
    (events_queue): don't process events for more than 400 ms
    (clutter_event_prepare, clutter_event_check): respect
    clutter_x11_event_processing_blocked

 -- Gordon Williams <gordon.williams@collabora.co.uk>  Mon, 31 Aug 2009 14:21:23 +0300

clutter (0.8.2-0maemo46) unstable; urgency=low

  * Fixes: NB#134034 - Blue screen observed in various scenarios
           Also allows single-buffering to work passably and 
  * clutter/clutter-main.c: set DOUBLE_BUFFER=0 as we don't need to write to
    such a large area while eglSwapBuffers uses blitting rather than flipping.
    Do picking by restricting drawing to just a single pixel, which we replace
    with the old color afterwards (previously we would write to the entire 
    screen, and then set the whole area as 'damaged').
  * clutter/clutter-stage.c: Now don't set the whole screen areas as damaged

 -- Gordon Williams <gordon.williams@collabora.co.uk>  Mon, 24 Aug 2009 15:57:54 +0300

clutter (0.8.2-0maemo45) unstable; urgency=low

  Gordon:
    Fixes: NB#113278 - choppy playback when notification arrives
  * clutter/clutter-actor.c: Made allow_redraw act on children as well (so we
    can cut down redraws from hildon-desktop). Stop set_opacity and set_clip
    causing redraw if nothing has changed.

 -- Gordon Williams <gordon.williams@collabora.co.uk>  Wed, 18 Aug 2009 13:25:48 +0300

clutter (0.8.2-0maemo44) unstable; urgency=low

  Kimmo:
  * clutter/x11/clutter-x11-texture-pixmap.c
    (clutter_x11_texture_pixmap_update_area_real): Remove dead code related to
    unused 'data_allocated' variable. (Coverity found it.)

  Gordon:
  * clutter/x11/clutter-x11-texture-pixmap.c (on_x_event_filter_too): Update
    the window also if ConfigureNotify comes for an unmapped window.
  * Fixes: NB#131879 - Problem handling damage for a fullscreen window

 -- Gordon Williams <gordon.williams@collabora.co.uk>  Wed, 12 Aug 2009 16:16:35 +0300

clutter (0.8.2-0maemo43) unstable; urgency=low

  * clutter/clutter-stage.c (clutter_stage_set_damaged_area): Clip to screen.
  * Fixes: NB#131044 - Desktop having bluescreen when sliding it side by side
    holding finger over some vidget

 -- Gordon Williams <gordon.williams@collabora.co.uk>  Tue, 11 Aug 2009 09:46:51 +0300

clutter (0.8.2-0maemo42) unstable; urgency=low

  * Fixes: NB#131303 - clutter_eglx_texture_pixmap_surface_create takes too
    long
  * Speed improvements
    clutter/eglx/clutter-eglx-texture-pixmap.c: Speed improvements for pixmap
    create/destroy (70ms -> 26ms). Remove calls to eglQuerySurface that aren't
    actually required, only re-allocate pixmap texture just before rendering -
    which means we will do it less, but also when XServer is less busy and we 
    will stall less.    

 -- Gordon Williams <gordon.williams@collabora.co.uk>  Tue, 4 Aug 2009 15:34:27 +0100

clutter (0.8.2-0maemo41) unstable; urgency=low

  * clutter/eglx/clutter-eglx-texture-pixmap.c
    clutter/x11/clutter-x11-texture-pixmap.c
    clutter/x11/clutter-x11-texture-pixmap.h: added a set_allow_alpha function
    for use with the new sapwood (to disable the alpha channel on RGBA pixmaps
    for windows that aren't really transparent but need RGBA anyway).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 27 Jul 2009 15:32:23 +0300

clutter (0.8.2-0maemo40) unstable; urgency=low

  * Added dependency: opengles-sgx-img-common-dev [armel]

 -- Aapo Kojo <aapo.kojo@nokia.com>  Wed, 01 Jul 2009 14:20:20 +0300

clutter (0.8.2-0maemo39) unstable; urgency=low

  Gordon:
  Fixes: NB#118722 - Red bordered windows
  * clutter/x11/clutter-x11-texture-pixmap.c: Remove red-bordered warning 
    shape (we now render nothing if we were unable to get a texture).

 -- Gordon Williams <gordon.williams@collabora.co.uk>  Wed, 01 Jul 2009 14:15:42 +0300

clutter (0.8.2-0maemo38) unstable; urgency=low

  Gordon:
  Fixes: NB#124464 - Hildon-desktop crash
  * clutter/clutter-texture.c: Check for COGL_INVALID_HANDLE texture
    (other functions in clutter-texture checked, but not _paint)
  * clutter/eglx/clutter-eglx-texture-pixmap.c: Check for COGL_INVALID_HANDLE
    texture before rendering shapes.
  * clutter/x11/clutter-x11-texture-pixmap.c: Check for COGL_INVALID_HANDLE
    before rendering, alongside the surface (It is possible to have a surface,
    but no cogl_texture). Fix texture leak if cogl_texture_new_from_foreign
    failed.

 -- Gordon Williams <gordon.williams@collabora.co.uk>  Fri, 26 Jun 2009 12:45:47 +0300

clutter (0.8.2-0maemo37) unstable; urgency=low

  Kimmo:
  * Fix some minor Coverity issues, such as unused variables.

  Gordon:
  * clutter/eglx/clutter-eglx-texture-pixmap.c: When we fail to create a

