=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_COMPRESS_EXCLUDE = .c
ARCH = $(shell dpkg-architecture -qDEB_BUILD_ARCH)
ifneq (,$(findstring i386,$(ARCH)))
  DEB_CONFIGURE_EXTRA_FLAGS := --disable-gtk-doc --with-flavour=glx \
			     --with-gles=2.0 --enable-debug=no
else
  DEB_CONFIGURE_EXTRA_FLAGS := --disable-gtk-doc --with-flavour=eglx \
			     --with-gles=2.0 --enable-debug=no
endif

DEB_DH_STRIP_ARGS := --dbg-package=libclutter-0.8-0

CFLAGS := -DG_DEBUG_DISABLE -Winline

makebuilddir/libclutter-0.8-0::
	autoreconf -f -i

# common-binary-predeb-arch:: list-missing
