## clutter 0.8.2-0maemo56+0m5

=== debian/changelog ===
clutter (0.8.2-0maemo56+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kojo Aapo <aapo.kojo@nokia.com>  Mon, 26 Oct 2009 13:12:38 +0200

clutter (0.8.2-0maemo56) unstable; urgency=low

  Gordon:
  * clutter/cogl/cogl.h.in
  * clutter/cogl/gl/cogl-texture.c
  * clutter/cogl/gles/cogl-texture.c: add cogl_texture_set_foreign
    to let cogl free the textures when it is done with them.
  * clutter/cogl/common/cogl-pvr-texture-gl.c: Fix some stupid bugs meaning
    that PVR textures were leaked.
  * clutter/eglx/clutter-eglx-texture-pixmap.c: Now give cogl full ownership
    of the texture, so we always free it (even on resize).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 21 Oct 2009 17:41:30 +0300

clutter (0.8.2-0maemo55) unstable; urgency=low

  Gordon:
  * Re-apply the glDeleteTextures patch. Related to NB#134230 - Memory leak in
    hildon-desktop when starting and closing Media Player

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 21 Oct 2009 10:00:01 +0300

clutter (0.8.2-0maemo54) unstable; urgency=low

  Gordon:
  Needed for hildon-desktop fix for 141411
  * clutter/clutter-actor.c: Make visibility detection work off of the viewport
    size rather than the stage size - which fixes problems when rendering to an
    FBO.

 -- Gordon Williams <gordon.williams@collabora.co.uk>  Wed, 13 Oct 2009 15:22:00 +0100

clutter (0.8.2-0maemo53) unstable; urgency=low

  * Revert fix for NB#134230 because fix for NB#139960 was reverted.
  
 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue,  7 Oct 2009 14:01:27 +0300

clutter (0.8.2-0maemo52) unstable; urgency=low

  Gordon:
  Fixes for NB#142006 - CallUI doesn't update orientation when screen is off
  Small bugfix allowing us to stop redraws for screen blanking while not
  conflicting with what we do for rotation.
  * clutter/clutter-actor.c: clutter_actor_get_stage_if_allow_redraw now
    checks the allow_redraw flag on the stage.
  * clutter/clutter-stage.c: Removed shaped_mode return in paint, as it is too
    late if we ever get to this point (screen has been cleared + will be
    flipped)

 -- Gordon Williams <gordon.williams@collabora.co.uk>  Wed,  7 Oct 2009 11:24:14 +0100

clutter (0.8.2-0maemo51) unstable; urgency=low

  * clutter/eglx/clutter-eglx-texture-pixmap.c
    (clutter_eglx_texture_pixmap_dispose): Delete the texture to avoid a
    memory leak.
    NB#134230 - Memory leak in hildon-desktop when starting and closing
    Media Player

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 06 Oct 2009 08:59:02 +0300

clutter (0.8.2-0maemo50) unstable; urgency=low

  Kimmo:
  * clutter/eglx/clutter-eglx-texture-pixmap.c (create_cogl_texture): Unref
    the cogl texture because clutter_texture_set_cogl_texture already
    references it for its own purposes. Related to NB#134230 and NB#98132
  * clutter/clutter-stage.c (clutter_stage_paint): Move setting of the
    CLUTTER_ACTOR_IN_PAINT flag to after the shaped mode check.
    (redraw_update_idle): Do not draw onto the screen in shaped mode.
    Related to NB#134893
  
 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 29 Sep 2009 13:50:10 +0300
