## clutter 0.8.2-0maemo59%2b0m5

=== debian/changelog ===
clutter (0.8.2-0maemo59+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Goel Lokesh Kumar <ext-lokesh.k.goel@nokia.com>  Wed, 18 Nov 2009 14:32:46 +0200

clutter (0.8.2-0maemo59) unstable; urgency=low

  Gordon:
  * clutter/x11/clutter-x11-texture-pixmap.c: Add XSync before the trap to
    ensure that we don't accidentally catch X errors that were intended for
    something else. Tweaks after introduction of NB#145154

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 11 Nov 2009 13:45:59 +0200

clutter (0.8.2-0maemo58) unstable; urgency=low

  Gordon:
  * clutter/clutter-main.c/h
    clutter/clutter-private.h: Added code to handle Software selection for the
    most common cases (off by default). This saves the delay caused by repeated
    draws and redraws on SGX.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 04 Nov 2009 15:28:18 +0200

clutter (0.8.2-0maemo57) unstable; urgency=low

  Gordon:
  * clutter/x11/clutter-x11-texture-pixmap.h
  * clutter/x11/clutter-x11-texture-pixmap.c : Removed automatic redirecting
    code as this couldn't be turned off and was causing flicker and pain on 
    composite non-composite changes. Also makes us more like upstream clutter.
  * clutter/x11/clutter-stage-x11.c: remove forced redraw on _show, as it 
    never worked anyway (redraw before a map doesn't update anything)
  * clutter/x11/clutter-x11-texture-pixmap.c: Replace unnecessary XGrabServer
    with XSync.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 02 Nov 2009 12:40:07 +0200
