## clutter 0.8.2-0maemo66%2b0m5

=== debian/changelog ===
clutter (0.8.2-0maemo66+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Urho Konttori <urho.konttori@nokia.com>  Thu, 25 Feb 2010 13:25:51 +0200

clutter (0.8.2-0maemo66) unstable; urgency=low

  * clutter/x11/clutter-x11-texture-pixmap.c: Small documentation update.
  
 -- Gordon Williams <gordon.williams@collabora.co.uk>  Mon,  1 Feb 2010 10:30:38 +0000

clutter (0.8.2-0maemo65) unstable; urgency=low

  * clutter/eglx/clutter-eglx-texture-pixmap.c,
    clutter/x11/clutter-x11-texture-pixmap.c:
  * Fixes: NB#151672 - Clutter generates BadDrawable errors. Add signal for
    'pixmap freeing' in x11tfp, and use it in eglxtfp to destroy the surface
    before the pixmap is freed.

 -- Gordon Williams <gordon.williams@collabora.co.uk>  Mon,  1 Feb 2010 10:20:38 +0000

clutter (0.8.2-0maemo64) unstable; urgency=low

  * clutter/x11/clutter-stage-x11.c:
  * Fixes: NB#154347 - initially 640x480 win.
    Was changed for maemo63, but including bug number for this release.
  * clutter/clutter-timeline.c: Rolled back changes for NB#149943, apart from
    some minor improvements.

 -- Gordon Williams <gordon.williams@collabora.co.uk>  Mon, 25 Jan 2010 14:20:38 +0000

clutter (0.8.2-0maemo63) unstable; urgency=low

  * clutter/x11/clutter-stage-x11.c: Change default stage size to 800x480.
    This is ugly, but stops the strange half-blanking effect on startup.
  * clutter/clutter-timeline.c: Fixes NB#149943 - non-linear animations. Yet
    more messing around - this intentionally renders the first few frames
    assuming time is running slowly to get around the initial delay as
    things get added to the SGX pipeline.

 -- Gordon Williams <gordon.williams@collabora.co.uk>  Wed, 20 Jan 2010 13:17:38 +0000

clutter (0.8.2-0maemo62) unstable; urgency=low

  * clutter/clutter-timeline.c: Fixes NB#149943 - non-linear animations. Keep
    track of the error in the calculated frame number each frame and use it
    when calculating how many frames to skip.
  
 -- Gordon Williams <gordon.williams@collabora.co.uk>  Fri, 11 Dec 2009 12:27:38 +0000

clutter (0.8.2-0maemo61) unstable; urgency=low

  *  clutter/eglx/clutter-eglx-texture-pixmap.c/h
     clutter/x11/clutter-x11-texture-pixmap.c/h: Fixes NB#141778 - EGLX backend
     does not implement realize. Remove the overridden_paint elements, as we 
     can just access the parent class directly, implement realise in eglx tfp.

  * clutter/cogl/cogl.h.in
    clutter/cogl/gl/cogl-texture.c
    clutter/cogl/gl/cogl.c: Fixes #4870 on bugs.maemo.org (original patch by
    javispedro) - Sometimes colour channels swapped in X86 scratchbox. Remove 
    packed_pixel check, as it was broken in many ways, and now just assume we
    are using GL1.2, as this is shipped by default with the maemo development
    kit. So now we don't do the conversion so it's faster, and the bug doesn't
    manifest itself any more.

  * for NB#149132: rm -rf usr/share/doc in package creation time on armel.
  * don't build the tests

 -- Gordon Williams <gordon.williams@collabora.co.uk>  Mon,  7 Dec 2009 10:24:38 +0000

clutter (0.8.2-0maemo60) unstable; urgency=low

  * Misc regression fix - when run in debug mode clutter asserts on every 
    click. != vs == issue
  * Fixes: NB#145902 - Clicking the dashboard icon highlights it but does not
    open the dashboard
  * We skipped the only motion event between the ButtonPress and ButtonRelease
    because of event throttling.  The skipped motion which would have generated
    the leave-event which would have dehighlighted the tasks button.
  * clutter/clutter-main.c (clutter_do_event):
    generate_enter_leave_events() (if any) for button events too.
  * clutter/clutter-main.c (generate_enter_leave_events):
    Modified the signature accordingly.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 30 Nov 2009 15:42:30 +0200
