## clutter 0.8.2-0maemo66+0m5

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_COMPRESS_EXCLUDE = .c
ifeq ($(DEB_BUILD_ARCH),armel)
  DEB_CONFIGURE_EXTRA_FLAGS := --disable-gtk-doc --with-flavour=eglx \
			     --with-gles=2.0 --enable-debug=no
else
  DEB_CONFIGURE_EXTRA_FLAGS := --disable-gtk-doc --with-flavour=glx \
			     --with-gles=2.0 --enable-debug=no
endif

DEB_DH_STRIP_ARGS := --dbg-package=libclutter-0.8-0

CFLAGS := -DG_DEBUG_DISABLE -Winline

makebuilddir/libclutter-0.8-0::
	[ -f configure ] || autoreconf -f -i

# common-binary-predeb-arch:: list-missing

# Save SSU d/l volume.
ifeq ($(DEB_BUILD_ARCH),armel)
binary-post-install/libclutter-0.8-0::
	rm -rf "debian/$(cdbs_curpkg)/usr/share/doc"
endif
