## clutter 0.8.2-0maemo67+0m5+thumb2

=== debian/changelog ===
clutter (0.8.2-0maemo67+0m5+thumb2) unstable; urgency=low

  * use GCC 4.7.2

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Sat, 15 Sep 2012 09:36:12 +0300

clutter (0.8.2-0maemo67+0m5-thumb1) unstable; urgency=low

  * add kernel errata dependency

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Fri, 15 Jun 2012 17:04:51 +0300

clutter (0.8.2-0maemo67+0m5-thumb0) unstable; urgency=low

  * Thumb2 compiled

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Fri, 15 Jun 2012 16:21:43 +0300

clutter (0.8.2-0maemo67+0m5) unstable; urgency=low

  * clutter/cogl/common/cogl-clip-stack.c: Apply clipping scissors when
    rotated by a multiple of 90 degrees.

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Sun, 11 Mar 2012 12:05:33 +0200
