=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,12 @@
 
 DEB_DH_STRIP_ARGS := --dbg-package=libclutter-0.8-0
 
-CFLAGS := -DG_DEBUG_DISABLE -Winline
+CFLAGS := -DG_DEBUG_DISABLE -Winline -ftree-vectorize -fgraphite -mfpu=neon
+
+ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
+  CFLAGS += -mthumb
+endif
+
 
 makebuilddir/libclutter-0.8-0::
 	[ -f configure ] || autoreconf -f -i
