=== debian/control ===
Source: clutter
Section: libs
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Ross Burton <ross@debian.org>
Uploaders: Rob Bradford <robster@debian.org>
Build-Depends: debhelper (>= 5), cdbs, libgl1-mesa-dev|libgl-dev, libgtk2.0-dev, gtk-doc-tools
Standards-Version: 3.7.2

Package: libclutter-0.8-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Open GL based interactive canvas library
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.

Package: libclutter-0.8-dev
Section: libdevel
Architecture: any
Depends: libclutter-0.8-0 (= ${binary:Version}), pkg-config, libgtk2.0-dev, libgl1-mesa-dev|libgl-dev, ${misc:Depends}
Suggests: libclutter-doc
Description: Open GL based interactive canvas library (development files)
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.
 .
 This package contains the development files.

Package: libclutter-0.8-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: libclutter-0.8-0 (= ${binary:Version})
Description: Open GL based interactive canvas library (debug files)
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.
 .
 This package contains the debug files.

Package: libclutter-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: devhelp
Conflicts: libclutter-0.1-doc
Replaces: libclutter-0.1-doc
Description: Open GL based interactive canvas library (documentation)
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.
 .
 This package contains the documentation.
