## clutter 1.0.5-0maemo1

=== debian/changelog ===
clutter (1.0.5-0maemo1) unstable; urgency=low

  * Initial release

 -- Alberto Mardegan <mardy@users.sourceforge.net>  Fri,  4 Sep 2009 18:44:27 +0300
