=== debian/control ===
Source: clutter
Section: libs
Priority: optional
Maintainer: Alberto Mardegan <mardy@users.sourceforge.net>
Build-Depends: debhelper, cdbs (>= 0.4), libgles2-sgx-img-dev | libgl1-mesa-dev | libgl-dev, libgtk2.0-dev, libxcomposite-dev, libxi-dev, libxdamage-dev, gtk-doc-tools
Standards-Version: 3.7.2

Package: libclutter-1.0-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Open GL based interactive canvas library
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.

Package: libclutter-1.0-dev
Section: libdevel
Architecture: any
Depends: libclutter-1.0-0 (= ${Source-Version}), pkg-config, libgtk2.0-dev, libgles2-dev | libgles2-sgx-img-dev | libgl1-mesa-dev | libgl-dev, ${misc:Depends}
Description: Open GL based interactive canvas library (development files)
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.
 .
 This package contains the development files.

Package: libclutter-1.0-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: libclutter-1.0-0 (= ${Source-Version})
Description: Open GL based interactive canvas library (debug files)
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.
 .
 This package contains the debug files.
