## clutter 1.0.5-0maemo2

=== debian/changelog ===
clutter (1.0.5-0maemo2) unstable; urgency=low

  * Fix package dependencies. 

 -- Alberto Mardegan <mardy@users.sourceforge.net>  Mon,  7 Sep 2009 18:50:49 +0300
