=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Alberto Mardegan <mardy@users.sourceforge.net>
-Build-Depends: debhelper, cdbs (>= 0.4), libgles2-sgx-img-dev | libgl1-mesa-dev | libgl-dev, libgtk2.0-dev, libxcomposite-dev, libxi-dev, libxdamage-dev, gtk-doc-tools
+Build-Depends: debhelper, cdbs (>= 0.4), libgles2-sgx-img-dev | libgl1-mesa-dev | libgl-dev, libgtk2.0-dev, libxcomposite-dev, libxfixes-dev, libxi-dev, libxdamage-dev, gtk-doc-tools
 Standards-Version: 3.7.2
 
 Package: libclutter-1.0-0
