## clutter 1.0.5-0maemo3

=== debian/changelog ===
clutter (1.0.5-0maemo3) unstable; urgency=low

  * Add dependencies to -dev package.

 -- Alberto Mardegan <mardy@users.sourceforge.net>  Mon,  7 Sep 2009 19:37:22 +0300
