=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Package: libclutter-1.0-dev
 Section: libdevel
 Architecture: any
-Depends: libclutter-1.0-0 (= ${Source-Version}), pkg-config, libgtk2.0-dev, libgles2-dev | libgles2-sgx-img-dev | libgl1-mesa-dev | libgl-dev, ${misc:Depends}
+Depends: libclutter-1.0-0 (= ${Source-Version}), pkg-config, libgtk2.0-dev, libgles2-sgx-img-dev | libgl1-mesa-dev | libgl-dev, libxcomposite-dev, libxfixes-dev, libxdamage-dev, ${misc:Depends}
 Description: Open GL based interactive canvas library (development files)
  Clutter is an Open GL based interactive canvas library, designed for creating
  fast, mainly 2D single window applications such as media box UIs,
