## clutter 1.0.6-0maemo2

=== debian/changelog ===
clutter (1.0.6-0maemo2) unstable; urgency=low

  * Require new automake.

 -- Alberto Mardegan <mardy@users.sourceforge.net>  Sun, 11 Apr 2010 17:51:19 +0300

clutter (1.0.6-0maemo1) unstable; urgency=low

  * Upstream 1.0.6

 -- Alberto Mardegan <mardy@users.sourceforge.net>  Sun, 11 Apr 2010 17:34:25 +0300
