## clutter 1.0.8-0maemo1

=== debian/changelog ===
clutter (1.0.8-0maemo1) unstable; urgency=low

  * Upstream 1.0.8

 -- Alberto Mardegan <mardy@users.sourceforge.net>  Sun, 11 Apr 2010 19:20:37 +0300
