=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Alberto Mardegan <mardy@users.sourceforge.net>
-Build-Depends: debhelper, cdbs (>= 0.4), libgles2-sgx-img-dev | libgl1-mesa-dev | libgl-dev, libgtk2.0-dev, libxcomposite-dev, libxfixes-dev, libxi-dev, libxdamage-dev, gtk-doc-tools
+Build-Depends: debhelper, cdbs (>= 0.4), libgles2-sgx-img-dev | libgl1-mesa-dev | libgl-dev, libgtk2.0-dev, libxcomposite-dev, libxfixes-dev, libxi-dev, libxdamage-dev, gtk-doc-tools, automake1.9, opengles-sgx-img-common-dev [arm armel]
 Standards-Version: 3.7.2
 
 Package: libclutter-1.0-0
@@ -17,7 +17,7 @@
 Package: libclutter-1.0-dev
 Section: libdevel
 Architecture: any
-Depends: libclutter-1.0-0 (= ${Source-Version}), pkg-config, libgtk2.0-dev, libgles2-sgx-img-dev | libgl1-mesa-dev | libgl-dev, libxcomposite-dev, libxfixes-dev, libxdamage-dev, ${misc:Depends}
+Depends: libclutter-1.0-0 (= ${Source-Version}), pkg-config, libgtk2.0-dev, libgles2-sgx-img-dev | libgl1-mesa-dev | libgl-dev, libxcomposite-dev, libxfixes-dev, libxdamage-dev, opengles-sgx-img-common-dev [arm armel], ${misc:Depends}
 Description: Open GL based interactive canvas library (development files)
  Clutter is an Open GL based interactive canvas library, designed for creating
  fast, mainly 2D single window applications such as media box UIs,
