=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,11 @@
 
 CFLAGS=-DMAEMO
 
+post-patches:: debian/stamp-gen-configure
+debian/stamp-gen-configure:
+	# -V option will cause configure to exit
+	ACLOCAL="aclocal-1.9" AUTOMAKE="automake-1.9" ./autogen.sh -V
+	touch $@
+
+clean::
+	rm -f debian/stamp-gen-configure
