## clutter 1.0.8-0maemo2

=== debian/changelog ===
clutter (1.0.8-0maemo2) unstable; urgency=low

  * Enable optimizations.
  * Avoid copying texture data when not needed.

 -- Alberto Mardegan <mardy@users.sourceforge.net>  Sat, 17 Apr 2010 10:26:18 +0300
