## clutter 1.0.8-0maemo3

=== debian/changelog ===
clutter (1.0.8-0maemo3) unstable; urgency=low

  * Do not try to use libgl1-mesa-dev, which is broken in extras devel (does
    not ship gl.pc file).

 -- Alberto Mardegan <mardy@users.sourceforge.net>  Sat, 31 Jul 2010 11:26:39 +0300
