=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 			     --with-gles=2.0 --enable-debug=no
 endif
 
-CFLAGS=-DMAEMO
+CFLAGS=-DMAEMO -O2
 
 post-patches:: debian/stamp-gen-configure
 debian/stamp-gen-configure:
